using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Networks.Programmable {
  [Item("MyProgrammableNetworkItem", "A programmable item of a network.")]
  public class MyProgrammableNetworkItem : ProgrammableNetworkItem.CompiledProgrammableNetworkItem {
    protected MyProgrammableNetworkItem(MyProgrammableNetworkItem original, Cloner cloner) : base(original, cloner) { }
    public MyProgrammableNetworkItem(ProgrammableNetworkItem context) : base(context) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new MyProgrammableNetworkItem(this, cloner);
    }
  }
}
